Developers
API referenceReferenceBusinesses

Businesses - List

List businesses. Supports search by business name, slug, and identifier value.

GET
/v1/business/

Query Parameters

page?integer

A page number within the paginated result set.

page_size?integer

Number of results to return per page.

search?string

A search term.

Response Body

application/json

curl -X GET "https://example.com/v1/business/"
{  "count": 123,  "next": 2,  "prev": 1,  "size": 30,  "results": [    {      "id": 0,      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "logo": "http://example.com",      "name": "string",      "slug": "string",      "business_id": "string",      "country": "string",      "country_config": null,      "period_id": 0,      "is_billable": true,      "vat_period_id": 0,      "vat_posting_method": "NET",      "vat_reporting_method": "DEFAULT",      "form": "FI_OY",      "default_vat_period": -1,      "has_dauerfristverlaengerung": true,      "finanzamtsnummer": "stri",      "invoicing_default_penalty_interest": 0.1,      "invoicing_default_payment_condition_days": 0,      "invoicing_default_email_subject": "string",      "invoicing_default_email_content": "string",      "invoicing_vat_exemption_reason": "string",      "has_accrual_based_entries_for_invoicing": true,      "owner_name": "string",      "owner_email": "string",      "has_history_before_nocfo": true,      "fiscal_period_needs_review": true,      "vat_period_needs_review": true,      "contact_phone": "string",      "invoicing_email": "user@example.com",      "invoicing_electronic_address": "string",      "invoicing_electronic_address_scheme": "string",      "invoicing_iban": "string",      "finanzkasse_iban": "string",      "finanzkasse_recipient_name": "string",      "invoicing_tax_code": "string",      "invoicing_bic": "string",      "invoicing_contact": "string",      "invoicing_street": "string",      "invoicing_city": "string",      "invoicing_postal_code": "string",      "invoicing_country": "st",      "has_business_address": true,      "business_street": "string",      "business_city": "string",      "business_postal_code": "string",      "business_country": "st",      "account_yle_tax": 0,      "account_tax_deferrals": 0,      "account_income_tax_rec": 0,      "account_income_tax_lia": 0,      "account_previous_profit": 0,      "account_vat_receivables": 0,      "account_vat_liabilities": 0,      "account_vat_accrual_adjustment": 0,      "account_trade_receivables": 0,      "account_payables": 0,      "account_cash_payment": 0,      "subscription_plan": "string",      "subscription_source": "string",      "stripe_customer_id": "string",      "stripe_subscription_id": "string",      "stripe_plan_status": "string",      "stripe_billing_interval": "string",      "billing_lock_reason": "string",      "stripe_payg_checkout_enabled": true,      "credit_cap": 0,      "can_invoice": true,      "onboarding_updated_invoicing_settings": true,      "onboarding_created_invoicing_contact": true,      "onboarding_created_invoicing_product": true,      "onboarding_registered_to_kravia": true,      "einvoicing_enabled": true,      "usage_billed_features_enabled": true,      "einvoicing_address": "string",      "einvoicing_operator": "string",      "einvoicing_operator_name": "string",      "apix_unique_id": "string",      "apix_transfer_id": "string",      "apix_transfer_key": "string",      "holvi_bookkeeping_api_enabled": true,      "holvi_bookkeeping_api_staled": true,      "holvi_nocfo_connection_enabled": true,      "salaxy_enabled": true,      "salaxy_account_id": "string",      "demo_days_left": 0,      "verohallinto_latest_reporter_full_name": "string",      "verohallinto_latest_reporter_phone_number": "string",      "is_eligible_for_einvoicing": true,      "has_tags": true,      "identifiers": [        {          "id": 0,          "type": "y_tunnus",          "value": "string"        }      ],      "is_new_invoicer": true,      "is_automatic_debt_collection_enabled": true,      "is_agency_business": true    }  ]}